%define name	as6edriver
%define version	0.4.2
%define release	1mdk

Name: 		%name
Version:	%{version}
Release: 	%{release}
Summary: 	Linux driver for the Artec AS6E parallel port interface scanner
URL: 		http://as6edriver.sourceforge.net/
Group:		Graphics
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root

%description
It is still in development, but it seems to work for most people. 
Version 0.4.2 updates the driver for for SANE version 1.0.3 and 
2.4 series kernels. As of version 0.3, it works in EPP mode, 
cutting scan times roughly in half!

SANE is now supported and included in sane packages.

%prep
%setup -q -n as6edriver
#%patch


%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
%configure --prefix=/usr
make

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/
install -m 755 as6edriver/as6edriver $RPM_BUILD_ROOT/usr/bin
install -m 644 as6e.conf $RPM_BUILD_ROOT/etc
%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README
%attr(4755,root,root) /usr/bin/as6edriver
%config(noreplace) /etc/as6e.conf

%changelog
* Fri Jul 27 2001 Yves Duret <yduret@mandrakesoft.com> 0.4.2-1mdk
- mandrakeificazion from spec by Buchan Milne <bgmilne@cae.co.za>

* Tue Jul 24 2001 Buchan Milne <bgmilne@cae.co.za>
- Initial spec file created by autospec ver. 0.6 with rpm 2.5 compatibility
